Arjia
ApiReference

Create position

Open a new liquidity position on a supported DEX.

POST
/positions

Open a new liquidity position on a supported DEX.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.arjia.city/positions" \  -H "Content-Type: application/json" \  -d '{    "chain": "ethereum",    "protocol": "string",    "pool": "string",    "amountA": "string",    "amountB": "string",    "priceLower": 0,    "priceUpper": 0  }'
{
  "id": "string",
  "chain": "ethereum",
  "protocol": "string",
  "pool": "string",
  "tokenA": {
    "symbol": "string",
    "address": "string",
    "amount": "string",
    "valueUsd": 0
  },
  "tokenB": {
    "symbol": "string",
    "address": "string",
    "amount": "string",
    "valueUsd": 0
  },
  "status": "active",
  "priceLower": 0,
  "priceUpper": 0,
  "currentPrice": 0,
  "feesEarnedUsd": 0,
  "createdAt": "2019-08-24T14:15:22Z"
}
{
  "message": "string",
  "statusCode": 400
}
{
  "message": "Unauthorized",
  "statusCode": 401
}